### Function

# EDataServer xml_dup_node_content

since: 3.38

#### Declaration [src]

    xmlChar*
    e_xml_dup_node_content (
      const xmlNode* node
    )

#### Description [src]

Duplicates content of the `node`. If the `node` is `NULL`, then the function does nothing and returns also `NULL`.

Unlike e_xml_get_node_text(), this includes also any element sub-structure of the `node`, if any such exists.

Available since: 3.38

This function is not directly available to language bindings.

#### Parameters

`node`

  Type: `xmlNode`

  An #xmlNode.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `xmlChar`

The `node` content as #xmlChar string, or `NULL`, when the content could not be read or was not set. Free the non-`NULL` value with xmlFree(), when no longer needed.

See: e_xml_find_child_and_dup_content(), e_xml_get_node_text().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.